Name: ttaenc
Version: 3.3
Release: alt3
Summary: The True Audio (TTA) codec lossless audio compressor
Summary(uk_UA.CP1251):    TTA (The True Audio)
Summary(ru_RU.CP1251):     TTA (The True Audio)
License: GPL
Group: Sound
URL: http://tta.sourceforge.net/
Source: %name-%version-src.tar.bz2

%description
The True Audio (TTA) codec is a free, simple, realtime lossless audio
compressor. Based on adaptive prognostic filters, TTA has compared
favorably to a majority of its popular open-source peers. The codec was
built to offer adequate compression levels while maintaining high
operation speeds.
   
Main features of the TTA lossless audio codec:
- Compression to as little as 30%% of original file size.
- Realtime encoding/decoding algorithm.
- Minimal system requirements.
- Simple and convenient data format.
- Input plugins for various music players.
- Hardware support.

The TTA lossless audio codec performs lossless compression on
multichannel 8, 16 and 24-bit data of WAV audio files. The term
"lossless" refers to the fact that such compression results in
literally no data or quality loss; when decompressed, the audio file
data are bit-identical to those of their originals. Compression ratios
achieved by the TTA codec vary, depending on music type, but range from
30%% - 70%% of the original. The TTA lossless compressed audio format
supports both ID3v1 and ID3v2 information tags.

%description -l uk_UA.CP1251
The True Audio (TTA)  - , ,  -
  .    
, TTA        
 .   ,   
 ,   .

    TTA:

-   30%%   .
-  /   .
- ̳  .
-     .
-     -.
- ϳ  .

 - TTA     
8, 16  24-  - WAV.  " " 
  ,          
  ;   ,  -  
( )    ,  
 TTA, ,     ,   30%%
- 70%% .   - TTA 
  ID3v1  ID3v2.

%description -l ru_RU.CP1251
The True Audio (TTA)  - ,  - 
  .    
, TTA        
   .   ,  
  ,    .

     TTA:

-   30%%   .
-  /   .
-   .
-     .
-     -.
-   .

-   TTA     
8, 16 24-  - WAV.  " "
   ,        
    ;   ,  -
   ( )  .
 ,   TTA, ,   
 ,   30%% - 70%% .  - 
 TTA    ID3v1  ID3v2.
     

%prep
%setup -q -n %name-%version-src
subst 's/unsigned long long/u_int64_t/g' %name.h
subst 's/long/int/g' %name.c *.h


%build
%define _optlevel 6
%make_build CFLAGS="%optflags"


%install
install -pD -m 0755 %name %buildroot%_bindir/%name


%files
%doc Readme
%_bindir/*


%changelog
* Mon Nov 06 2006 Led <led@altlinux.ru> 3.3-alt3
- fixed x86_64 build
- fixed description formatting

* Tue Feb 14 2006 Led <led@altlinux.ru> 3.3-alt2
- uk and ru descriptions
- fix spec

* Wed Feb 01 2006 Led <led@altlinux.ru> 3.3-alt1
- initial build
